=== debian/control ===
Source: ros-dashing-depth-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-auto, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-class-loader, ros-dashing-cv-bridge, ros-dashing-image-geometry, ros-dashing-image-transport, ros-dashing-message-filters, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-stereo-msgs, ros-dashing-tf2, ros-dashing-tf2-eigen, ros-dashing-tf2-ros, ros-dashing-ros-workspace
Homepage: https://index.ros.org/p/depth_image_proc/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-dashing-depth-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-cv-bridge, ros-dashing-image-geometry, ros-dashing-image-transport, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-stereo-msgs, ros-dashing-tf2, ros-dashing-tf2-eigen, ros-dashing-tf2-ros, ros-dashing-ros-workspace
Description: Contains components for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well as registering (reprojecting) a depth image into another camera frame.
